Skip to main content

Content sync

Base URL: https://api.amplience.net/v2/content

Authorization and status codes

For authorization and status codes see the API Reference overview.

Jobs
Link copied!

MethodEndpointSummary
POST/hubs/{hubId}/deep-sync-jobCreate deep sync job
POST/hubs/{hubId}/jobsList job
GET/hubs/{hubId}/jobs/{jobId}Get job

Create deep sync job
Link copied!

POST /hubs/{hubId}/deep-sync-job

https://api.amplience.net/v2/content/hubs/{hubId}/deep-sync-job

create new deep sync job

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
labelstringJob label
ignoreSchemaValidationbooleanIgnore schema validation
destinationHubIdstringHub ID
inputobjectjob request input data
Request example
{
"label": "deep sync job",
"destinationHubId": "00112233445566778899aabb",
"input": {
"rootContentItemIds": [
"00112233-4455-6677-8899-aabbccddeeff"
]
}
}

Responses

StatusDescription
200List Job response
Response Example (200)
{
"jobId": "00112233445566778899aabb",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
},
"job": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/{id}",
"templated": true
}
}
}

List job
Link copied!

POST /hubs/{hubId}/jobs

https://api.amplience.net/v2/content/hubs/{hubId}/jobs

retrieve jobs

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Request Body

Content-Type: application/json

FieldTypeRequiredDescription
userstringUser Id
limitDateRangebooleanLimit the listed jobs to the last 30 days
statusstring (CREATED, IN_PROGRESS, FAILED, COMPLETED)Status of Job
jobTypestring (DEEP_SYNC_JOB)Status of Job
Request example
{
"user": "00112233-4455-6677-8899-aabbccddeeff",
"status": "CREATED",
"jobType": "DEEP_SYNC_JOB"
}

Responses

StatusDescription
200List Job response
Response Example (200)
{
"_embedded": {
"jobs": [
{
"id": "00112233-4455-6677-8899-aabbccddeeff",
"label": "Anya Finn",
"status": "CREATED",
"stateChanges": [
{
"timestamp": "2019-01-01T00:00:00.000Z"
}
],
"jobType": "DEEP_SYNC_JOB",
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
},
"job": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/{id}"
}
}
}
]
},
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233-4455-6677-8899-aabbccddeeff/jobs?page=0&size=20"
},
"first": {
"href": "https://api.amplience.net/v2/content/hubs/00112233-4455-6677-8899-aabbccddeeff/jobs?page=0&size=20"
},
"last": {
"href": "https://api.amplience.net/v2/content/hubs/00112233-4455-6677-8899-aabbccddeeff/jobs?page=0&size=20"
}
},
"page": {
"size": 20,
"totalElements": 1,
"totalPages": 1,
"number": 0
}
}

Get job
Link copied!

GET /hubs/{hubId}/jobs/{jobId}

https://api.amplience.net/v2/content/hubs/{hubId}/jobs/{jobId}

retrieve job

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb
jobIdpathstringJob Id
Example: 00112233445566778899aabb

Responses

StatusDescription
200Job response
Response Example (200)
{
"id": "00112233445566778899aabb",
"label": "Anya Finn",
"status": "CREATED",
"stateChanges": [
{
"timestamp": "2019-01-01T00:00:00.000Z"
}
],
"jobType": "DEEP_SYNC_JOB",
"originHubId": "00112233445566778899aabb",
"destinationHubId": "00112233445566778899aabb",
"rootContentItemIDs": [
"00112233445566778899aabb"
],
"associatedHubIds": [
"00112233445566778899aabb, 00112233445566778899aabb"
],
"errors": [
{
"entity": {
"entityId": "00112233-4455-6677-8899-aabbccddeeff",
"entityType": "Hub"
},
"errorResponse": {
"code": "SUCCESS",
"level": "INFO"
}
}
],
"createdBy": "00112233-4455-6677-8899-aabbccddeeff",
"createdDate": "2019-01-01T00:00:00.000Z",
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
},
"job": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/jobs/00112233445566778899aabb"
}
}
}

Balances
Link copied!

MethodEndpointSummary
GET/hubs/{hubId}/balancesGet balances

Get balances
Link copied!

GET /hubs/{hubId}/balances

https://api.amplience.net/v2/content/hubs/{hubId}/balances

retrieve balances

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200Balances Response
Response Example (200)
{
"organisation": [
{
"metric": "dynamic-content-sync-limits",
"description": "Number of processed items synced across all hubs in the organisation",
"limit": 1000,
"currentUsage": 999
}
],
"hub": [
{
"metric": "dynamic-content-sync-limits",
"description": "Number of processed items synced across all hubs in the organisation",
"limit": 1000,
"currentUsage": 999
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/balances"
},
"balances": {
"href": "https://api.amplience.net/v2/content/hubs/00112233445566778899aabb/balances"
}
}
}

Content repository mapping
Link copied!

MethodEndpointSummary
GET/hubs/{hubid}/linked-content-repositoriesList linked content repositories

List linked content repositories
Link copied!

GET /hubs/{hubid}/linked-content-repositories

https://api.amplience.net/v2/content/hubs/{hubid}/linked-content-repositories

List the mapping relationships between two Hubs

Parameters

NameInTypeRequiredDescription
hubIdpathstringHub ID
Example: 00112233445566778899aabb

Responses

StatusDescription
200List Linked Content Repository
Response Example (200)
{
"_embedded": {
"linked-content-repositories": [
{
"originHubId": "00112233445566778899aabb",
"hubIds": [
"00112233445566778899aabb",
"00112233445566778899ccdd"
],
"originHubLabel": "Anya Finn",
"destinationHubLabel": "Anya Finn",
"bidirectional": false,
"relationships": [
{
"originRepositoryId": "00112233-4455-6677-8899-aabbccddeeff",
"originRepositoryLabel": "inspiration",
"dstRepositoryId": "00112233-4455-6677-8899-aabbccddeeff",
"dstRepositoryLabel": "inspiration"
}
],
"_links": {
"self": {
"href": "https://api.amplience.net/v2/content/hub/00112233445566778899aabb/linked-content-repositories"
},
"linked-content-repositories": {
"href": "https://api.amplience.net/v2/content/hub/00112233445566778899aabb/linked-content-repositories"
}
}
}
]
}
}